Last Comment Bug 802352 - Port |Bug 797049 - Disable C4351 as an MSVC warning about a change to be standards-compliant in MSVC2005 (!). Also sync up warning-disabling between configure.in and js/src/configure.in, and add comments about the warnings being disabled| to comm-central
: Port |Bug 797049 - Disable C4351 as an MSVC warning about a change to be stan...
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal (Away until 7th Aug)
:
Mentors:
Depends on: 797049 803856 803862
Blocks: 803854
  Show dependency treegraph
 
Reported: 2012-10-16 14:26 PDT by Ian Neal (Away until 7th Aug)
Modified: 2012-11-10 05:24 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Combo port patch [Checked in: Comment 6] (4.96 KB, patch)
2012-10-20 09:44 PDT, Ian Neal (Away until 7th Aug)
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal (Away until 7th Aug) 2012-10-16 14:26:06 PDT
Mozilla-central did some fixes around warnings when using MSVC, these should probably be ported to comm-central, see bug 797049 for more details.
Comment 1 Ian Neal (Away until 7th Aug) 2012-10-16 14:47:43 PDT
Could look at, as part of this, porting:
Bug 786579 - Remove old MSVC (<=2003) support
Comment 2 Ian Neal (Away until 7th Aug) 2012-10-20 05:40:34 PDT
Probably should also port:
Bug 665969 - Make C4553 fatal
Comment 3 Ian Neal (Away until 7th Aug) 2012-10-20 09:44:01 PDT
Created attachment 673582 [details] [diff] [review]
Combo port patch [Checked in: Comment 6]

I will push this patch and the one from bug 802343 to the try server
Comment 4 Justin Wood (:Callek) 2012-11-09 22:34:19 PST
Comment on attachment 673582 [details] [diff] [review]
Combo port patch [Checked in: Comment 6]

Review of attachment 673582 [details] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +1927,5 @@
> +        # that behavior) that it's better to turn it off.
> +        CXXFLAGS="$CXXFLAGS -wd4345 -wd4351 -wd4800"
> +        # make 'foo == bar;' error out
> +        CFLAGS="$CFLAGS -we4553"
> +        CXXFLAGS="$CXXFLAGS -we4553"

I would only caution that this (-we4553) *could* bust something in our tree when it lands. Please keep an eye out for that. If it does bust something it is a bug we should fix though.

(I don't see any comments here about the results of that try run)
Comment 5 Mozilla RelEng Bot 2012-11-10 05:15:35 PST
Try run for 0ed550f1084b is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=0ed550f1084b
Results (out of 11 total builds):
    success: 9
    warnings: 2
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-0ed550f1084b
Comment 6 Ian Neal (Away until 7th Aug) 2012-11-10 05:23:31 PST
Comment on attachment 673582 [details] [diff] [review]
Combo port patch [Checked in: Comment 6]

http://hg.mozilla.org/comm-central/rev/5360b5193337

Note You need to log in before you can comment on or make changes to this bug.